Bug Hunting Session
Bug 116320 - UI: a spacing in the filename will be presented as %20 for the 'Document in use' dialog
Summary: UI: a spacing in the filename will be presented as %20 for the 'Document in u...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: lowest trivial
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: File-Lock
  Show dependency treegraph
 
Reported: 2018-03-09 16:37 UTC by Telesto
Modified: 2018-12-19 04:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-03-09 16:37:44 UTC
Description:
UI: a spacing in the filename will be presented as %20 for the 'Document in use' dialog 

Steps to Reproduce:
1. Created a locked PDF file (or ODT)with a spacing in the filename. For example  "Untitled 1.pdf". Lock it by opening the file with a PDF reader
2. Open the same PDF with LibreOffice
3. A dialog Document in Use will show:  Document file 'Untitled%201.pdf' is locked 

Actual Results:  
A space is be converted to %20. So Untitled 1.pdf will show as Untitled%201.pdf

Expected Results:
A non encoded spacing


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.1.0.0.alpha0+
Build ID: fb29e6eeeaad5255bb924ff59162a83ed80bfb0a
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-03-09_03:14:44
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Buovjaga 2018-03-12 19:25:16 UTC
Yep, it seems pretty useless as the name is already enclosed in single quotes.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: de53d4690d25b9f1bbc0def6c66ce5b45b2fdc96
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 12th 2018
Comment 2 Mike Kaganski 2018-12-18 01:53:12 UTC
https://gerrit.libreoffice.org/65298
Comment 3 Commit Notification 2018-12-18 02:46:59 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8dc3fe631583228fe5bb49b44d2308470ec30df0%5E%21

tdf#116320: properly decode file name for File Locked dialog

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.